frac
Prev | Orchestra Opcodes and Operators | Next

## frac

frac — Returns the fractional part of a decimal number.

## Description

Returns the fractional part of x.

## Syntax

    frac(x) (init-rate or control-rate args; also works at audio rate in Csound5)

    frac(k/i[]) (k- or i-arrays )

where the argument within the parentheses may be an expression. Value converters perform arithmetic translation from units of one kind to units of another. The result can then be a term in a further expression.

## Examples

Here is an example of the frac opcode. It uses the file frac.csd.

Example 368. Example of the frac opcode.

See the sections Real-time Audio and Command Line Flags for more information on using command line flags.

    <CsoundSynthesizer>
    <CsOptions>
    ; Select audio/midi flags here according to platform
    ; Audio out   Audio in
    -odac           -iadc    ;;;RT audio I/O
    ; For Non-realtime ouput leave only the line below:
    ; -o frac.wav -W ;;; for file output any platform
    </CsOptions>
    <CsInstruments>

    ; Initialize the global variables.
    sr = 44100
    kr = 4410
    ksmps = 10
    nchnls = 1

    ; Instrument #1.
    instr 1
      i1 = 16 / 5
      i2 = frac(i1)

      print i2
    endin

    </CsInstruments>
    <CsScore>

    ; Play Instrument #1 for one second.
    i 1 0 1
    e

    </CsScore>
    </CsoundSynthesizer>

Its output should include a line like this:

    instr 1:  i2 = 0.200

## See Also

abs, exp, int, log, log10, i, sqrt

## Credits

Example written by Kevin Conder.

Prev | Up | Next
fprints | Home | fractalnoise